-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}


local beamsAlreadyBroken = {}

local function updateGFX(dt)
    
    --this basically disables the siren each time something breaks on the car
	--but lets you re-enable it manually until something else breaks
    for _, b in pairs(v.data.beams) do
     if obj:beamIsBroken(b.cid) then --something is broken
	   local newBeam = true
	   for _, b2 in pairs(beamsAlreadyBroken) do --check if it just broke or was already broken
	     if b == b2 then 
		   newBeam = false
		 end
	   end
	   if newBeam == true then --something new broke
	     table.insert(beamsAlreadyBroken, b)
	     if electrics.values.lightbar == 2 then electrics.set_lightbar_signal(1) end --disable siren in a way you can re-enable it later
	   end
	 end
   end
	  
end

local function onInit()	
  
  beamsAlreadyBroken = {} --reset table, so the same things can break again and disable the siren after reset
  
end


--public interface
M.onInit = onInit
M.onReset     = onInit
M.updateGFX = updateGFX

return M
